Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revisão 116087)
+++ apps/app_queue.c	(cópia de trabalho)
@@ -3298,6 +3298,14 @@
 			ast_channel_setoption(qe->chan, AST_OPTION_TONE_VERIFY, &nondataquality, sizeof(nondataquality), 0);
 		if (!strcmp(peer->tech->type, "Zap"))
 			ast_channel_setoption(peer, AST_OPTION_TONE_VERIFY, &nondataquality, sizeof(nondataquality), 0);
+
+		/* GOL - Enable using "^{AGENTID}" on MONITOR_FILENAME (and whatever other use...) */
+		if (!strncmp(peer->cdr->channel, "Agent/", 6))
+			pbx_builtin_setvar_helper(qe->chan, "AGENTID", peer->cdr->channel + 6);
+		/* GOL - Enable using "^{SIPID}" on MONITOR_FILENAME */
+		if (!strncmp(peer->cdr->channel, "SIP/", 4))
+			pbx_builtin_setvar_helper(qe->chan, "SIPID", peer->cdr->channel + 4);
+
 		/* Update parameters for the queue */
 		time(&now);
 		recalc_holdtime(qe, (now - qe->start));
